Subject: [bash-completion] syntax error near unexpected token '<' on line 123 in bash_completion.d/git

From: solsTiCe d'Hiver <[email-masked]>
Date: Sun, 25 Jul 2010 13:12:00 +0200

hello,
I want to report a tiny "bug" (?) and I couldn't find a bug tracker so
here I am

When I boot my pc, I got an error on my console before gdm kick in to
launch gnome.

This is an error in /etc/bash_completion.d/git; it says
syntax error near unexpected token '<' on line 123

I use git 1.7.2 and bash 4.1.007 and the line 123
of /etc/bash_completion.d/git looks like this

	done < <(git config -z --get-regexp '^(svn-remote\..*\.url|bash
\.showupstream)$' 2>/dev/null | tr '\0\n' '\n ')

I think that may be there is too much < there.

but strangely if I source manually that file in a bash it works without
error.

originally reported there: http://bugs.archlinux.org/task/20264

P.S.: I have not subscribed to the ML.